#!/usr/local/bin/expect -f
# dltarget.tcl - Expect script called by dltarget shell script
# to download file or dir to /var/tmp on target
#
# Assumes tftp and expect is installed on host

set tarball [lindex $argv 0]
set target  [lindex $argv 1]
set host    [lindex $argv 2]
set timeout 60

spawn telnet $target
send "cd /var/tmp\r"
expect "> "
expect "> "
send "tftp -g -l $tarball $host\r"
expect "> "
send "tar xvf $tarball\r"
expect "> "
send "rm -f $tarball\r"
expect "> "
send "exit\r"

#send "chmod 777 $argv\r"
#expect "> "
#send "./$argv\r"
#expect ">"


